#
# spec file for package ghc-med-module
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name med-module
Name:           ghc-%{pkg_name}
Version:        0.1.1
Release:        5.2
Summary:        Parse song module files from Amiga MED and OctaMED
License:        GPL-3.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-storable-endian-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-utility-ht-devel

%description
MED (Music EDitor) and its successor OctaMED were popular music trackers on the
Amiga: <https://en.wikipedia.org/wiki/OctaMED>. This is a library for parsing
the binary module data.

With the Cabal flag '-fbuildExamples' you can build two example programs:

* 'unmed2': Loads song module files and show their content on standard output.

* 'animed': Create a PostScript document showing how a song is played.
Also creates an FFmpeg cue file for the 'concat' input type. This way you can
create videos with MED music plus precisely timed animations of the played
tracks. See the included 'Makefile' for the command calls for creation of
complete music videos from MMD files.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license COPYING

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Wed Mar 14 2018 psimons@suse.com
- Update med-module to version 0.1.1.
  A more detailed change log is not available.
